cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/options \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"options":{"rowHeight":"short","fieldNameDisplayLines":1,"frozenColumnCount":0,"frozenFieldId":"string"}}'view
Patch table view options
Update view option
PATCH
/
table
/
{tableId}
/
view
/
{viewId}
/
options
cURL
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/options \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"options":{"rowHeight":"short","fieldNameDisplayLines":1,"frozenColumnCount":0,"frozenFieldId":"string"}}'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
Response
200
Successfully update.
Last modified on March 5, 2026
Was this page helpful?
⌘I

